// PlugInSimDlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "PlugInSimDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlugInSimDlg ダイアログ


CPlugInSimDlg::CPlugInSimDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPlugInSimDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPlugInSimDlg)
	m_bAutoUpdate = FALSE;
	m_bToolBar = FALSE;
	//}}AFX_DATA_INIT
}


void CPlugInSimDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPlugInSimDlg)
	DDX_Check(pDX, IDC_SIM_AUTOUPDATE, m_bAutoUpdate);
	DDX_Check(pDX, IDC_SIM_TOOLBAR, m_bToolBar);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPlugInSimDlg, CDialog)
	//{{AFX_MSG_MAP(CPlugInSimDlg)
	ON_BN_CLICKED(IDC_SIM_EXEC, OnSimExec)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPlugInSimDlg メッセージ ハンドラ

void CPlugInSimDlg::OnSimExec() 
{
	ShellExecute( HWND_DESKTOP, NULL, m_strTmpPathName, NULL, NULL, SW_SHOWNORMAL);
}

void CPlugInSimDlg::OnOK() 
{
	if (((CButton*)(GetDlgItem( IDC_SIM_SHITARABA )))->GetCheck() == 1 )
	{
		m_eHTMLMode = HTMLModeShitaraba;
	}
	else
	{
		m_eHTMLMode = HTMLMode2Ch;
	}

	CDialog::OnOK();
}

BOOL CPlugInSimDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	switch( m_eHTMLMode )
	{
	case HTMLModeShitaraba:
		((CButton*)(GetDlgItem( IDC_SIM_SHITARABA )))->SetCheck( 1 );
		break;

	case HTMLMode2Ch:
	default:
		((CButton*)(GetDlgItem( IDC_SIM_2CH )))->SetCheck( 1 );
		break;
	}

	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}
